#######################################################
# MAKEFILE for building BCB compatibile msgrguid.lib  #
#                                                     #
# (c) 2002 by Darko Miletic                           #
# e-mail: kiklop@eunet.yu                             # 
#######################################################
.autodepend

BCCROOT=C:\Borland\BCC55
BCCBIN=$(BCCROOT)\Bin

#C compile flags
CFLAGS=-q -O1 -v- -D$(USERDEFINES);$(SYSDEFINES) -I$(INCDIR)

#Midl flags
MOPTS=/nologo /win32 /ms_ext /c_ext /Oicf /W1 /client none /server none /error all /Zp8

INCDIR=$(BCCROOT)\Include;$(BCCROOT)\Include\Idl
SRC=.
OBJ=.
BIN=.
SYSDEFINES=
USERDEFINES=_WINVER=0x0400;_WIN32_WINNT=0x0400;STRICT;_MBCS;NDEBUG;WIN32

################################
# Target
################################
PROJECT=$(BIN)\msgrguid.lib
IDLFILES=$(OBJ)\msgrpriv.c $(OBJ)\msgrua.c $(OBJ)\msgrext.c
OBJFILES=$(OBJ)\msgrpriv.obj $(OBJ)\msgrua.obj $(OBJ)\msgrext.obj
RESFILES=
LIBFILES=
DEFFILE=
BCC32STARTUP=
BCC32RTLIB=cw32.lib
ALLOBJS=$(BCC32STARTUP) $(OBJFILES)
ALLLIBS=$(LIBFILES) import32.lib $(BCC32RTLIB)

all: dirs $(PROJECT) cleanobj

getidl::
	-@$(TLB) -C- -E- -H- -I+ -L- -Q- -R- -Ya C:\Progra~1\Messen~1\msmsgs.exe\2 -Fmsgrpriv -D$(SRC)
	-@$(TLB) -C- -E- -H- -I+ -L- -Q- -R- -Ya C:\Progra~1\Messen~1\msmsgs.exe\3 -Fmsgrua -D$(SRC)
	-@$(TLB) -C- -E- -H- -I+ -L- -Q- -R- -Ya C:\Progra~1\Messen~1\msmsgs.exe\4 -Fmsgrext -D$(SRC)

cleanobj:: 
	-@echo Deleting intermediate files for project
	-@del $(OBJ)\*.obj
	-@del $(OBJ)\*.tlb
	-@del $(OBJ)\*.c
	-@del $(OBJ)\*.h

cleantgt::
	-@echo Deleting output files for project
	-@del $(PROJECT)

cleanidl::
	-@echo Deleting idl files for project
	-@del $(OBJ)\*.idl

clean: cleanobj cleantgt

cleanall: clean cleanidl

dirs::
	-@echo Creating output directory
	-@md $(OBJ)

##################################
# Output
##################################
$(PROJECT): $(IDLFILES) $(OBJFILES)
	@$(LB) $(BIN)\msgrguid.lib /a$(OBJFILES)


#Dependencies - explicit rules
$(OBJ)\msgrpriv.c: $(SRC)\msgrpriv.idl
$(OBJ)\msgrua.c: $(SRC)\msgrua.idl
$(OBJ)\msgrext.c: $(SRC)\msgrext.idl

