#
# Inprise C++Builder - (C) Copyright 1999 by Borland International
#
# Modified by Darko Miletic 2002

CC       = $(BCCBIN)\bcc32
RC       = $(BCCBIN)\brcc32
AS       = $(BCCBIN)\tasm32
ML       = midl
CP       = $(BCCBIN)\cpp32
LB       = $(BCCBIN)\tlib
TLB      = $(BCCBIN)\tlibimp

MFLAGS=$(MOPTS) /I$(INCDIR) /cpp_cmd $(CP) /cpp_opt "-oCON -I$(INCDIR) -D__MKTYPLIB__"

!if $d(__NMAKE__)
CXX      = $(BCCBIN)\bcc32 -P
CPP      = $(BCCBIN)\bcc32 -P
!endif

.asm.obj:
      $(AS) $(AFLAGS) $&.asm

.c.exe:
      $(CC) $(CFLAGS) $<

.c.obj:
      @$(CC) $(CFLAGS) /c -o$@ $<

.cpp.exe:
      $(CC) $(CFLAGS) $<

.cpp.obj:
      @$(CC) $(CPPFLAGS) /c -o$@ $<

.rc.res:
      $(RC) $(RFLAGS) /r $&

.idl.c:
      @$(ML) $< $(MFLAGS) /out $(OBJ) /iid $(@F)

.idl.tlb:
      @$(ML) $< $(MFLAGS) /out $(OBJ) /iid $(@B).c /tlb $(@F)
   
.SUFFIXES: .exe .obj .asm .c .res .rc .idl .tlb

!if !$d(BCEXAMPLEDIR)
BCEXAMPLEDIR = $(MAKEDIR)\..\EXAMPLES
!endif
